%define builtin_release_version 5.4
%define builtin_release_name Boron
%define builtin_release_variant SL
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Scientific Linux release notes files
Name: sl-release-notes
Version: %{real_release_version}
Release: 1
License: GPL
Group: System Environment/Base
Source: sl-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml
BuildRoot: %{_tmppath}/redhat-release-notes-root
Provides: indexhtml
Provides: redhat-release-notes
BuildArchitectures: noarch

%description
Scientific Linux release notes files.

%prep
%setup -q -n sl-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/sl-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.

## Install the latest SL.release notes
if [ -f /mnt/src/scientific/5rolling/i386/SL.releasenote ] ; then
	install -m 644 /mnt/src/scientific/5rolling/i386/SL.releasenote $RPM_BUILD_DIR/%{name}-%{builtin_release_version}/SL.releasenote.%{version}.i386
fi
if [ -f /mnt/src/scientific/5rolling/x86_64/SL.releasenote ] ; then
	install -m 644 /mnt/src/scientific/5rolling/x86_64/SL.releasenote $RPM_BUILD_DIR/%{name}-%{builtin_release_version}/SL.releasenote.%{version}.x86_64
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc R*
%doc SL*
%{_defaultdocdir}/HTML

%changelog
* Mon Oct 19 2009 Troy Dawson <dawson@fnal.gov> 5.4-1
- Updated with latest SL release notes

* Wed Sep 16 2009 Troy Dawson <dawson@fnal.gov> 5.4-0.1.rolling
- Moved everything to 5.4

* Tue Feb 24 2009 Troy Dawson <dawson@fnal.gov> 5.3-1
- Updated with latest SL release notes

* Tue Jan 27 2009 Troy Dawson <dawson@fnal.gov> 5.3-0.1.rolling
- Moved everything to 5.3

* Fri Jun 13 2008 Troy Dawson <dawson@fnal.gov> 5.2-1
- Updated with latest SL release notes

* Thu May 22 2008 Troy Dawson <dawson@fnal.gov> 5.2-0.1.rolling
- Moved everything to 5.2
- Added vendors Update 2 release notes, unaltered
- Added SL 5.1 release notes

* Thu Nov 08 2007 Troy Dawson <dawson@fnal.gov> 5.1-1
- Added the README-Copyright to be compliant with Red Hat's document license
- Changed vendor release notes to be unalterd versions
- Added the Update 1 english release notes

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 5.0-4
- Added the SL release notes, so it always gets the latest version

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> 5.0-3
- updated release notes and readme's to the final version

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 5.0-1
- Fixed HTML area - web page was pointing to the wrong image
- Made it a no-arch

